package com.keao.edu.im.api.client.callback;

import com.keao.edu.im.api.client.ImFeignService;
import com.keao.edu.im.api.entity.*;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class ImFeignServiceFallback implements ImFeignService {
    @Override
    public ImResult register(ImUserModel userModel) {
    	
        return null;
    }

    @Override
    public void update(ImUserModel userModel) {

    }

    @Override
    public Object groupCreate(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public void groupBatchCreate(List<ImGroupModel> groupModels) {

    }

    @Override
    public Object groupJoin(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupQuit(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupDismiss(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupBatchDismiss(List<ImGroupModel> groupModels) {
        return null;
    }

    @Override
    public Object groupBatchQuit(List<ImGroupModel> groupModels) {
        return null;
    }

    @Override
    public Object privateSend(ImPrivateMessage privateMessage) {
        return null;
    }

    @Override
    public void kickRoom(ReqUserData reqUserData) {

    }

    @Override
    public void joinGroup(String userIds, String groupId, String groupName) {

    }

    @Override
    public void quitGroup(String userIds, String groupId) {

    }

    @Override
    public void dismissGroup(String userId, String groupId) {

    }

    @Override
    public void publishMessage(PublishMessageDto publishMessageDto) {

    }

    @Override
    public void destroyRoom(Long roomId,String userId) {

    }
}
